DateTimeSlot SPI

POST Retrieve date-time slots.

POST /merchant/spi/sample/endpoint/sa/datetime/slots/from/external/system

Operation ID: getDeliveryDates. Tags: DateTimeSlot SPI.

Retrieve delivery or pickup dates and time slots from merchant's system. Merchants must implement this endpoint per this specification and then configure it in CMS under CMS > Store Management > Integration > Custom API Connectors > Create. Make sure to create the endpoint in CMS with the following details:

  1. Under API Config:
    • API Key: DATE_PICKER
    • API Endpoint: Provide the external endpoint
  2. Under JSON Config:
    • Integration Type: HTTP_POST
    • JSON Headers: Provide the header for the API. Headers can be Content-Type, Authorization attributes like clientId/password, for example: {"Content-Type":"application/json","client_id":"myClientId","client_secret":"myClientSecret"}.

Request body

Media type: application/json. Schema: SpiDeliveryDatesRequest.

Responses

  • default Default response.

    Media type: application/json. Schema: SpiDateTimesResponse.